package com.realnet.basic1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basic1.Entity.Form_d;
import com.realnet.basic1.Services.Form_dService ;




@RequestMapping(value = "/Form_d")
 @CrossOrigin("*") 
@RestController
public class Form_dController {
	@Autowired
	private Form_dService Service;

@Value("${projectPath}")
	private String projectPath;
 




	@PostMapping("/Form_d")
		  public Form_d Savedata(@RequestBody Form_d data) {
		Form_d save = Service.Savedata(data)	;



		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Form_d/{id}")
	public  Form_d update(@RequestBody Form_d data,@PathVariable Integer id ) {
		Form_d update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Form_d/getall/page")
	public Page<Form_d> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Form_d> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Form_d")
	public List<Form_d> getdetails() {
		 List<Form_d> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Form_d")
	public List<Form_d> getallwioutsec() {
		 List<Form_d> get = Service.getdetails();		
		return get;
}
@GetMapping("/Form_d/{id}")
	public  Form_d  getdetailsbyId(@PathVariable Integer id ) {
		Form_d  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Form_d/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}





}